import pickle
import numpy as np
import glob
import os

rootdir = '/ships22/grain/probsevere/LC/T2O_validation/goes_west_conus/'
pickles = glob.glob(f'{rootdir}/???2023/all_preds_labs.pkl')

outdict = {}

for ii,pick in enumerate(pickles):
    print(pick)
    dd = pickle.load(open(pick,'rb'))

    if ii == 0:

        outdict['stride'] = dd['stride']
        outdict['preds'] = np.copy(dd['preds'])
        outdict['labels'] = np.copy(dd['labels'])
        outdict['files'] = dd['files'].copy()
        outdict['datetimes'] = dd['datetimes'].copy()

    else:

        outdict['preds'] = np.vstack((dd['preds'], outdict['preds']))
        outdict['labels'] = np.vstack((dd['labels'], outdict['labels']))
        outdict['files'] += dd['files']
        outdict['datetimes'] += dd['datetimes']

    print(outdict['preds'].shape)

os.makedirs(f'{rootdir}/all/', exist_ok=True)

pickle.dump(outdict, open(f'{rootdir}/all/all_preds_labs.pkl','wb'))
