import pickle
from datetime import datetime, timedelta
import glob, os, sys
import numpy as np
import time

samplelist = "samplelists/validation/val_005.pkl"
outlist = "samplelists/validation/val_0.5%_curated.pkl"

all_good_dts = []

samples = pickle.load(open(samplelist, "rb"))

dts = np.unique(np.array([s["abidt"] for s in samples]))

months = np.array([dt.month for dt in dts])

hours = np.array([dt.hour for dt in dts])


for mm in [1, 2, 3]:
    # for each month above, get every X dt between 00:00 and 11:59 UTC
    ind = np.where((months == mm) & (hours < 12))[0][::10]
    for ii in ind:
        all_good_dts.append(dts[ii])

    # for each month above, get every X dt between 12:00 and 23:59 UTC
    ind = np.where((months == mm) & (hours >= 12))[0][::5]
    for ii in ind:
        all_good_dts.append(dts[ii])


for mm in [4, 5, 6, 7, 8, 9]:
    # for each month above, get every X dt between 00:00 and 11:59 UTC
    ind = np.where((months == mm) & (hours < 12))[0][::10]
    for ii in ind:
        all_good_dts.append(dts[ii])

    # for each month above, get every X dt between 12:00 and 23:59 UTC
    ind = np.where((months == mm) & (hours >= 12))[0][::5]
    for ii in ind:
        all_good_dts.append(dts[ii])

for mm in [10, 11, 12]:
    # for each month above, get every X dt between 00:00 and 11:59 UTC
    ind = np.where((months == mm) & (hours < 12))[0][::10]
    for ii in ind:
        all_good_dts.append(dts[ii])

    # for each month above, get every X dt between 12:00 and 23:59 UTC
    ind = np.where((months == mm) & (hours >= 12))[0][::5]
    for ii in ind:
        all_good_dts.append(dts[ii])

# now get the samples where the dt matches
all_good_samples = []
for s in samples:
    if s["abidt"] in all_good_dts:
        all_good_samples.append(s)

print(
    f"{len(all_good_samples)} / {len(samples)} = {len(all_good_samples) / len(samples)}"
)

# save samplelist
print("saving " + outlist)
pickle.dump(all_good_samples, open(outlist, "wb"))
