import numpy as np
import os, sys
from datetime import datetime, timedelta
import shutil
import glob


outdir = "/ships19/grain/jcintineo/GLM/goes_west/ussamoa/"

startdt = dt = datetime(2024, 4, 18, 12, 55)
enddt = datetime(2024, 6, 1, 0, 0)  # startdt + timedelta(days=1)

while startdt <= dt < enddt:
    pattern = dt.strftime(
        "/arcdata/goes/grb/goes18/%Y/%Y_%m_%d_%j/glm/L2/LCFA/*s%Y%j%H%M*"
    )
    remotefiles = glob.glob(pattern)

    if len(remotefiles) == 3:  # should be 3 files per minute
        print(dt)
        #cmd = (
        #    "python glmtools/examples/grid/make_GLM_grids.py -o "
        #    + outdir
        #    + "/{start_time:%Y/%b/%d}/{dataset_name} --fixed_grid --split_events --goes_position west --goes_sector conus --dx 2.0 --dy 2.0"
        #)

        cmd ="python glmtools/examples/grid/make_GLM_grids.py " +\
            f"-o {outdir}/{{start_time:%Y/%b/%d}}/{{dataset_name}} --fixed_grid --split_events --goes_position west --dx=2.0 --dy=2.0 " +\
            "--ctr_lat -13 --ctr_lon -167.5 --width 2500 --height 1800"

        for rf in remotefiles:
            shutil.copy(rf, f"{os.environ['PWD']}/")
            cmd += f" {os.path.basename(rf)}"
        os.system(cmd)

        for rf in remotefiles:
            os.remove(os.path.basename(rf))

    dt += timedelta(minutes=1)
