#!/bin/bash

input_file=$1

basefile=$(basename ${input_file})
directory=$(dirname ${input_file})

# Add prefix to file
prefix=UWSSEC_AWIPS_
newbasefile=${prefix}${basefile}
newfile=${directory}/${newbasefile}
cp ${input_file} ${newfile}

gzip ${newfile}
newbasefile=${newbasefile}.gz
newfile=${newfile}.gz

# Inject to LDM
/home/ldm/bin/pqinsert -f EXP -q /home/ldm/var/queues/ldm.pq -p ${newbasefile} ${newfile}

# Clean up
rm -f ${newfile}

# Copy to lustre (UW-CIMSS only)
dest_root=/ships19/grain/common/LightningCast/realtime/products/
#e.g., /data/PLTG//products//20230425/goes_west/RadM1/netcdf/LightningCast_GOES-18_RadM1_20230425-173525.nc
arrIN=(${basefile//_/ })
sector=${arrIN[2]}
if [[ "$input_file" == *"goes_east"* ]]; then
  # Mkdir and copy file
  final_dest=${dest_root}/goes_east/${sector}/
  mkdir -p ${final_dest}
  cp ${input_file} ${final_dest}

elif [[ "$input_file" == *"goes_west"* ]]; then
  if [[ "$input_file" == *"USSAMOA"* ]]; then
    exit #do nothing if USSAMOA
  else
    # Mkdir and copy file
    final_dest=${dest_root}/goes_west/${sector}/
    mkdir -p ${final_dest}
    cp ${input_file} ${final_dest}
  fi
fi
